<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:output method="html"/>

  <xsl:template match="/">
    <html>
      <head>
        <title>ABRS Flora of Australia Online - Error: Simple Names List Criteria</title>
        <link href="css/abifflora.css" rel="stylesheet" type="text/css" />
      </head>
      <body>
        <h1>Error: Simple Names List Criteria Have Incompatable Ranks</h1>

        <p>You have chosen a simple Names List result but the criteria
	  you have given will return taxa with a lower rank than the
	  simple names list will display. For instance, you may have
	  chosen to display a Simple Names List to Genus, but entered
	  criteria that will return only species.</p>

        <!-- Old way commented out 
        <p>Please <a href="xxx-query-styles.html">return to the
	    search screen</a> and either enter criteria that will
	  identify taxa of a higher rank, or choose a Simple Names
	  List result to a lower rank.</p>
        -->

        <!-- Robyn 11th July - replaced New Search based on what Volume is in the session.
             Found it best to insert quotes for enclosing a string, within a string to use &quot;
             as the enclosing quotes.

             Could try setting a variable and see how this goes.
        -->
        <xsl:if test= "/errorpage/request/session/volslist = &quot;NOT IN (''lichenchecklist'', ''49'', ''50'')&quot;" >

          <p>Please <a href="main-query-styles.html">return to the
  	     search screen</a> and either enter criteria that will
  	     identify taxa of a higher rank, or choose a Simple Names
	     List result to a lower rank.</p>

        </xsl:if>

       <xsl:if test= "/errorpage/request/session/volslist = &quot;= ''49''&quot;" >

          <p>Please <a href="vol49-query-styles.html">return to the
  	     search screen</a> and either enter criteria that will
  	     identify taxa of a higher rank, or choose a Simple Names
	     List result to a lower rank.</p>

       </xsl:if>

       <xsl:if test= "/errorpage/request/session/volslist = &quot;= ''50''&quot;" >

          <p>Please <a href="vol50-query-styles.html">return to the
  	     search screen</a> and either enter criteria that will
  	     identify taxa of a higher rank, or choose a Simple Names
	     List result to a lower rank.</p>

       </xsl:if>



        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="request">
    <xsl:for-each select="parameters">
      <xsl:element name="input">
        <xsl:attribute name="type">hidden</xsl:attribute>
        <xsl:attribute name="name"><xsl:value-of select="name()"/></xsl:attribute>
        <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
      </xsl:element>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
