<%!
	/*
	 * Compares two strings, equating null to the empty
	 * string for either one, and trimming it otherwise. 
	 * Saves having to check for null for everything, and
	 * makes sure two strings with extraneous whitespace will 
	 * compare the same.
	 */
	boolean nullEquals(String orig, String compareTo) {
		String origVal;
		String compareToVal;
		origVal = (orig == null ? "" : orig.trim());
		compareToVal = (compareTo == null ? "" : compareTo.trim());

		return origVal.equals(compareToVal);
	}

	/*
	 * Inverse of nullEquals.
	 */
	boolean nullNotEquals(String orig, String compareTo) {
		return !nullEquals(orig, compareTo);
	}

	/*
	 * Checks if a string is empty or contains only whitespace.
	 */
	boolean isEmpty(String str) {
		return (str == null ? true : "".equals(str.trim()));
	}

	/*
	 * Checks if a string is not empty and contains more than just whitespace.
	 */
	boolean isNotEmpty(String str) {
		return (!isEmpty(str));
	}
%>
<%

    // variable = 0 if no search details entered, otherwise = number of different search types
    // search should only go ahead if this = 1
    int pageHasValues = 0;
    if (request.getParameter("pnid") != null) {
        pageHasValues = 1;
    } else if ((request.getParameter("sn_fam") != null && !request.getParameter("sn_fam").replace('*', ' ').trim().equals("")) ||
	(request.getParameter("sn_gen") != null && !request.getParameter("sn_gen").replace('*', ' ').trim().equals("")) ||
	(request.getParameter("sn_sp") != null && !request.getParameter("sn_sp").replace('*', ' ').trim().equals("")) ||
	(request.getParameter("sn_infspnm") != null && !request.getParameter("sn_infspnm").replace('*', ' ').trim().equals(""))) {
	pageHasValues++;
    }
    if (request.getParameter("taxon_name") != null && !request.getParameter("taxon_name").replace('*', ' ').trim().equals("")) {
	pageHasValues++;
    }
    if (request.getParameter("commonname") != null && !request.getParameter("commonname").replace('*', ' ').trim().equals("")) {
	pageHasValues++;
    }
    if (request.getParameter("synonyms") != null && !request.getParameter("synonyms").replace('*', ' ').trim().equals("")) {
	pageHasValues++;
    }

    // set session variables
    session.setAttribute("sort_by", request.getParameter("sort_by"));
    session.setAttribute("volslist", request.getParameter("volslist"));
%>
<%
    if (pageHasValues == 0) {
%>
        <jsp:forward page="error1.xsql"/>
<%
    } else if (pageHasValues > 1) {
%>
	<jsp:forward page="error4.xsql"/>
<%
    } else if ((! request.getParameter("sn_infsprnk").equals("%")) && (request.getParameter("sn_infspnm") == null || request.getParameter("sn_infspnm").equals(""))) {
%>
	<jsp:forward page="error2.xsql"/>
<% 
    } else if ((request.getParameter("refine") != null) && (request.getParameter("refine").equals("Refine Search"))) {
%>
        <jsp:forward page="refine.xsql"/>
<%
    } else if ((request.getParameter("displaytype").equals("snl_gen") && ! (request.getParameter("sn_sp").equals("") && request.getParameter("sn_infspnm").equals(""))) || (request.getParameter("displaytype").equals("snl_sp") && ! request.getParameter("sn_infspnm").equals(""))) {
%>
	<jsp:forward page="error3.xsql"/>
<%
    } else if (request.getParameter("displaytype").equals("NamesList")) {
%>
        <jsp:forward page="nameslist.xsql"/>
<%
    } else if (request.getParameter("displaytype").equals("StandardFloraDisplay")) {
%>
	<jsp:forward page="stddisplay.xsql"/>
<%
    } else if (	isNotEmpty(request.getParameter("taxon_name")) 
		|| isNotEmpty(request.getParameter("commonname")) 
		|| isNotEmpty(request.getParameter("synonyms")) ) {
%>
        <jsp:forward page="error5.xsql"/>
<% 
    } else {
%>
	<jsp:forward page="snldisplay.xsql"/>
<%
    }
%>