<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:output method="html"/>

  <!-- include the varibles stylesheet -->
  <xsl:include href="variables.xsl"/>

  <xsl:template match="/">
    <html>
      <head>
        <title>ABRS Flora of Australia Online Refine Search</title>
        <link href="css/abifflora.css" rel="stylesheet" type="text/css" />
        <style type="text/css">
          div.row {
          clear: both;
          padding-top: 5px;
          padding-bottom: 5px;
          /*          width: 100%;
          background-color: #cccccc;
          border-width: thin;
          border-style: none; */
          }

          span.label {
          float: left;
          width: 28%;
          text-align: left;
          margin-right: 1%;
          margin-left: 1%;
          }

          span.formel {
          float: left;
          text-align: left;
          width: 50%
          }

          span.example {
          float: left;
          text-align: left;
          font-size: 0.8em;
          width: 18%;
          margin-left: 1%;
          }
        </style>
      </head>
      <body>
        <div style="text-align: center">

          <xsl:if test= "/refine/form/request/session/volslist = &quot;NOT IN (''lichenchecklist'', ''49'', ''50'')&quot;" >
            <h1>Flora of Australia Online</h1>
            <p>Refine your search by specifying free text in the boxes below.
              <br/>The search is not case sensitive, the wildcard is an asterisk (*).
              <br/><a href="http://www.deh.gov.au/biodiversity/abrs/online-resources/flora/main/abbrevs.html">
              Abbreviations &amp; Contractions.</a>
            </p>
          </xsl:if>

          <xsl:if test= "/refine/form/request/session/volslist = &quot;= ''49''&quot;" >
            <h1>Flora of Australia Online</h1>
            <p>Refine your search by specifying free text in the boxes below.
            <br/>The search is not case sensitive, the wildcard is an asterisk (*).
            <br/><a href="http://www.deh.gov.au/biodiversity/abrs/online-resources/flora/49/abbrevs.html">
            Abbreviations &amp; Contractions.</a>
            </p>
          </xsl:if>

          <xsl:if test= "/refine/form/request/session/volslist = &quot;= ''50''&quot;" >
            <h1>Flora of Australia Online</h1>
            <p>Refine your search by specifying free text in the boxes below.
            <br/>The search is not case sensitive, the wildcard is an asterisk (*).
            <br/><a href="http://www.deh.gov.au/biodiversity/abrs/online-resources/flora/50/abbrevs.html">
            Abbreviations &amp; Contractions.</a>
            </p>
          </xsl:if>

        </div>

        <!-- put the history.back() script in here to allow
             users to go back and see what they had in the search
             boxes before. To allow non JS browsers to go back, put
             the script in the event rather than the url. I don't know
             what the "return false" achieves - I admit I copied this
             code from somewhere else - but without it, Mozilla 0.9.9
             crashes. -->

        <!-- Old code commented out 
        <p><a href="xxx-query-styles.html" onclick="history.back(); return false">Return to search screen</a></p>
        -->

        <!-- Robyn 10th July - replaced New Search based on what Volume is in the session.
          Found it best to insert quotes for enclosing a string, within a string to use &quot;
          as the enclosing quotes.

          Could try setting a variable and see how this goes.
        -->
    
        <xsl:if test= "/refine/form/request/session/volslist = &quot;NOT IN (''lichenchecklist'', ''49'', ''50'')&quot;" >
          <p><a href="main-query-styles.html" onclick="history.back(); return false">Return to search screen</a></p>
        </xsl:if>

        <xsl:if test= "/refine/form/request/session/volslist = &quot;= ''49''&quot;" >
          <p><a href="vol49-query-styles.html" onclick="history.back(); return false">Return to search screen</a></p>
        </xsl:if>

        <xsl:if test= "/refine/form/request/session/volslist = &quot;= ''50''&quot;" >
          <p><a href="vol50-query-styles.html" onclick="history.back(); return false">Return to search screen</a></p>
        </xsl:if>

        <xsl:apply-templates/>
        <hr/>

        <!-- Old code commented out 
        <p><a href="xxx-query-styles.html" onclick="history.back(); return false">Return to search screen</a></p>
        -->

        <!-- Robyn 10th July - replaced New Search based on what Volume is in the session.
          Found it best to insert quotes for enclosing a string, within a string to use &quot;
          as the enclosing quotes.

          Could try setting a variable and see how this goes.
        -->
    
        <xsl:if test= "/refine/form/request/session/volslist = &quot;NOT IN (''lichenchecklist'', ''49'', ''50'')&quot;" >
          <p><a href="main-query-styles.html" onclick="history.back(); return false">Return to search screen</a></p>
        </xsl:if>

        <xsl:if test= "/refine/form/request/session/volslist = &quot;= ''49''&quot;" >
          <p><a href="vol49-query-styles.html" onclick="history.back(); return false">Return to search screen</a></p>
        </xsl:if>

        <xsl:if test= "/refine/form/request/session/volslist = &quot;= ''50''&quot;" >
          <p><a href="vol50-query-styles.html" onclick="history.back(); return false">Return to search screen</a></p>
        </xsl:if>

      </body>
    </html>
  </xsl:template>

  <xsl:template match="form">
    <xsl:element name="form">
      <xsl:attribute name="action">
        <xsl:choose>
          <xsl:when test="request/parameters[displaytype = 'NamesList']">
            <xsl:text>nameslist.xsql</xsl:text>
          </xsl:when>
          <xsl:when test="request/parameters[displaytype = 'StandardFloraDisplay']">
            <xsl:text>stddisplay.xsql</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>snldisplay.xsql</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
      <xsl:attribute name="method">
        <xsl:text>POST</xsl:text>
      </xsl:attribute>
      <xsl:apply-templates/>
      <!-- if want to debug, allow us to turn off styles -->
      <xsl:if test="$debug = 1">
        <input type="checkbox" name="xml-stylesheet" value="none"/> Hide Stylesheets?
      </xsl:if>
    </xsl:element>
  </xsl:template>

  <xsl:template match="bg">
    <div style="width: 100%; border-width: 1; border-style: none; background-color: #cccccc">
      <xsl:apply-templates select="element">
        <xsl:sort select="label"/>
      </xsl:apply-templates>
    </div>
  </xsl:template>

  <xsl:template match="request">
    <xsl:apply-templates select="parameters"/>
  </xsl:template>

  <xsl:template match="parameters">
    <xsl:for-each select="*[name() != 'commonname' and name() != 'synonyms']">
      <xsl:element name="input">
        <xsl:attribute name="type">hidden</xsl:attribute>
        <xsl:attribute name="name"><xsl:value-of select="name()"/></xsl:attribute>
        <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
      </xsl:element>
    </xsl:for-each>
  </xsl:template>

  <xsl:template match="element">
    <div class="row">
      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="label">
    <span class="label">
      <xsl:value-of select="."/>
    </span>
  </xsl:template>

  <xsl:template match="fel">
    <span class="formel">
      <xsl:apply-templates/>
    </span>
  </xsl:template>

  <!-- I have added this hack to allow the display of a common name
       if the user has specified a common name on the main search page -->
  <xsl:template match="fel/input[@name = 'commonname']">
    <span class="formel">
      <xsl:element name="input">
        <xsl:copy-of select="@*[name() != 'value']"/>
        <xsl:attribute name="value">
          <xsl:value-of select="/refine/form/request/parameters/commonname"/>
        </xsl:attribute>
      </xsl:element>
    </span>
  </xsl:template>

  <!-- synonymy - same as for common names -->
  <xsl:template match="fel/input[@name = 'synonyms']">
    <span class="formel">
      <input>
        <xsl:copy-of select="@*[name() != 'value']"/>
        <xsl:attribute name="value">
          <xsl:value-of select="/refine/form/request/parameters/synonyms"/>
        </xsl:attribute>
      </input>
    </span>
  </xsl:template>

  <xsl:template match="small">
    <span class="example">
      <xsl:apply-templates/>
    </span>
  </xsl:template>

  <xsl:template match="refine">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="buttonbar">
    <div class="row" style="text-align: center">
      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="*">
    <xsl:copy-of select="."/>
  </xsl:template>

</xsl:stylesheet>
